From 5d26d8f67820fdc68a7e7f0d8c5fba38d6e21043 Mon Sep 17 00:00:00 2001
From: Sebastien Zwickert <dilaroga@free.fr>
Date: Wed, 30 Jun 2010 13:01:30 +0200
Subject: [PATCH] MacOS: fixes #3825. Since [af97f24d528acab89969d6541d83f17ce1ecd580] we need to send a stop: message to properly exit libvlc.

---
 modules/gui/macosx/intf.m |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

diff --git a/modules/gui/macosx/intf.m b/modules/gui/macosx/intf.m
index 93eef2b..116023f 100644
--- a/modules/gui/macosx/intf.m
+++ b/modules/gui/macosx/intf.m
@@ -2925,4 +2925,14 @@ end:
     b_justJumped = NO;
 }
 
+// when user selects the quit menu from dock it sends a terminate:
+// but we need to send a stop: to properly exits libvlc.
+// However, we are not able to change the action-method sent by this standard menu item.
+// thus we override terminat: to send a stop:
+// see [af97f24d528acab89969d6541d83f17ce1ecd580] that introduced the removal of setjmp() and longjmp() 
+- (void)terminate:(id)sender
+{
+    [self stop:sender];
+}
+
 @end
-- 
1.6.0.1

